RequirementElemPath
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements
Enum RequirementElemPath

    java.lang.Object
      java.lang.Enum<RequirementElemPath>
          org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements.RequirementElemPath

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequirementElemPath>

    public enum RequirementElemPath

extends java.lang.Enum<RequirementElemPath>

The `Requirement` elements are expressed by declaring the path of the GHN profile to use as constrain key. All the possible accessible nodes are here declared.

Samples:

     // Requires an operating system different from OSX
     new Requirement(RequirementElemPath.OS , RequirementRelationType.NOT_EQUAL, "OSX");
     // At least 3Gb of available memory
     new Requirement(RequirementElemPath.MEM_RAM_SIZE, RequirementRelationType.GREATER, "3000");
     // In the profile environment must be defined the key "ANT_HOME" and the value must be "/usr/share/ant"
     new Requirement(RequirementElemPath.RUNTIME_ENV_STRING, "ANT_HOME", RequirementRelationType.EQUAL, "/usr/share/ant")

     // Custom xquery: allows to access custom paths of the service profile.
     new Requirement(RequirementElemPath.CUSTOM_REQUIREMENT, "/GHNDescription/Architecture[@PlatformType = 'i386']");
     // The same result is obtained by a pre-defined query
     new Requirement(RequirementElemPath.PLATFORM, RequirementRelationType.EQUAL, "i386");

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`CUSTOM_REQUIREMENT`
`DISK_SPACE`
`HOST`
`LOAD15MIN`
`LOAD1MIN`
`LOAD5MIN`
`MEM_RAM_AVAILABLE`
`MEM_RAM_SIZE`
`MEM_VIRTUAL_AVAILABLE`
`MEM_VIRTUAL_SIZE`
`OS`
`PLATFORM`
`PROCESSOR_BOGOMIPS`
`PROCESSOR_NUM`
`RUNTIME_ENV_NUMBER`
`RUNTIME_ENV_STRING`
`SITE_COUNTRY`
`SITE_DOMAIN`
`SITE_LOCATION`

Method Summary
`java.lang.String` | `getPath()`
`RequirementElemType` | `getValueType()`
`static RequirementElemPath` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequirementElemPath[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEM_RAM_AVAILABLE

    public static final RequirementElemPath MEM_RAM_AVAILABLE

### MEM_RAM_SIZE

    public static final RequirementElemPath MEM_RAM_SIZE

### MEM_VIRTUAL_AVAILABLE

    public static final RequirementElemPath MEM_VIRTUAL_AVAILABLE

### MEM_VIRTUAL_SIZE

    public static final RequirementElemPath MEM_VIRTUAL_SIZE

### HOST

    public static final RequirementElemPath HOST

### OS

    public static final RequirementElemPath OS

### DISK_SPACE

    public static final RequirementElemPath DISK_SPACE

### LOAD1MIN

    public static final RequirementElemPath LOAD1MIN

### LOAD5MIN

    public static final RequirementElemPath LOAD5MIN

### LOAD15MIN

    public static final RequirementElemPath LOAD15MIN

### PLATFORM

    public static final RequirementElemPath PLATFORM

### PROCESSOR_NUM

    public static final RequirementElemPath PROCESSOR_NUM

### PROCESSOR_BOGOMIPS

    public static final RequirementElemPath PROCESSOR_BOGOMIPS

### SITE_LOCATION

    public static final RequirementElemPath SITE_LOCATION

### SITE_COUNTRY

    public static final RequirementElemPath SITE_COUNTRY

### SITE_DOMAIN

    public static final RequirementElemPath SITE_DOMAIN

### CUSTOM_REQUIREMENT

    public static final RequirementElemPath CUSTOM_REQUIREMENT

### RUNTIME_ENV_STRING

    public static final RequirementElemPath RUNTIME_ENV_STRING

### RUNTIME_ENV_NUMBER

    public static final RequirementElemPath RUNTIME_ENV_NUMBER

Method Detail

### values

    public static RequirementElemPath[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequirementElemPath c : RequirementElemPath.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequirementElemPath valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getPath

    public java.lang.String getPath()

### getValueType

    public RequirementElemType getValueType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD